/* $Id: depdef.h,v 1.11 2007/07/23 08:38:11 cvsroot Exp $ */

/* DGAP - General Analytical Positioning
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef DEPDEF_INCLUDED
#define DEPDEF_INCLUDED

/* STL */

//#include <iostream>
//#include <string>
#include <vector>
#include <cmath>
#include <cstring>
#include <sstream>		// string streams, includes iostream and string!

// ATTENTION: Namespaces are not full supported by MS-Visual C/C++!
//using namespace std;

//#if defined(_WIN32)
//	#include <strstream>	// MS Visual C++
//#else
//	#include <strstream.h>	// SGI compiler and GCC
//#endif


/* c headers */


/* own general libraries (using namespace GenLib2) */

#include "form.h"		// Formating floating-point numbers, integers, etc
#include "dpoint2.h"	// double precision 2d point class
#include "dpoint3.h"	// double precision 3d point class
#include "dvector.h"	// double precision vector class
#include "dmatrix.h"	// double precision matrix class
#include "vecmat.h"		// vector/matrix operations
#include "drotmatrix3.h"	// double precision 3D rotation class
#include "rotmatrix3.h"	// 3D rotation matrix template class
#include "rotmatvec3.h"	// 3D rotation matrix/vector operations
#include "rmat3supp.h"	// 3D rotation matrix support class
#include "uangle.h"		// angular units

//using namespace GenLib2;

/*
namespace DEP
{
using namespace std;
using namespace GenLib2;
}
*/


/* DEP */

#endif
